package com.hikcreate.bigdata.hdip.source;

import java.util.List;

/**
 * 增量表实体类
 *
 * @author Administrator
 * @Time 2020-08-20 12:12:12
 */
public class TableBean {
    /**
     * 用于标志增量字段是时间类型
     */
    public static final String TIME_TYPE = "1";
    /**
     * 用于标志增量字段是数字类型
     */
    public static final String NUM_TYPE = "2";
    /**
     * 用于标志增量字段是字符串类型
     */
    public static final String STR_TYPE = "3";
    /**
     * 表示全量
     */
    public static final String WHOLE_TYPE = "4";

    private String database; //数据库
    private String table; //表
    private String incrField; //增量字段
    private String incrType; //增量字段类型
    private String queryMin; //查询间隔
    private String initOffset;
    private List<String> fields; //查询字段
    private String sinkSize;//一次写到文件的条数10000
    private String genSql;

    public String getQueryMin() {
        return queryMin;
    }

    public void setQueryMin(String queryMin) {
        this.queryMin = queryMin;
    }

    public String getDatabase() {
        return database;
    }

    public void setDatabase(String database) {
        this.database = database;
    }

    public String getTable() {
        return table;
    }

    public void setTable(String table) {
        this.table = table;
    }

    public String getIncrField() {
        return incrField;
    }

    public void setIncrField(String incrField) {
        this.incrField = incrField;
    }

    public String getIncrType() {
        return incrType;
    }

    public void setIncrType(String incrType) {
        this.incrType = incrType;
    }

    public List<String> getFields() {
        return fields;
    }

    public void setFields(List<String> fields) {
        this.fields = fields;
    }

    public String getInitOffset() {
        return initOffset;
    }

    public void setInitOffset(String initOffset) {
        this.initOffset = initOffset;
    }

    public String getSinkSize() {
        return sinkSize;
    }

    public void setSinkSize(String sinkSize) {
        this.sinkSize = sinkSize;
    }

    public String getGenSql() {
        return genSql;
    }

    public void setGenSql(String genSql) {
        this.genSql = genSql;
    }
}
